# SelectivePeer Class Reference
[Application-wide cache subsystem]

Inheritance diagram for SelectivePeer:
[legend]

List of all members.

## Public Member Functions

| mark ($className)

## Public Attributes

const | MARGINAL_VALUE = 'i_am_declassed_element'

## Protected Member Functions

| getClassName ()

## Protected Attributes

| $className = null

## Detailed Description

Definition at line 15 of file SelectivePeer.class.php.

## Member Function Documentation

SelectivePeer::getClassName | ( |  | ) | `[protected]`

Definition at line 30 of file SelectivePeer.class.php.

Referenced by SharedMemory::getSegment(), and AggregateCache::guessLabel().

SelectivePeer::mark | ( | $ | className | ) |

Returns:
  SelectivePeer

Reimplemented from CachePeer.

Reimplemented in DebugCachePeer, and WatermarkedPeer.

Definition at line 24 of file SelectivePeer.class.php.

References $className.

## Member Data Documentation

SelectivePeer::$className = null`[protected]`

Definition at line 19 of file SelectivePeer.class.php.

Referenced by WatermarkedPeer::mark(), mark(), and WatermarkedPeer::setClassMap().

const SelectivePeer::MARGINAL_VALUE = 'i_am_declassed_element'

Definition at line 17 of file SelectivePeer.class.php.

The documentation for this class was generated from the following file:

- core/Cache/SelectivePeer.class.php